Skip to main content
`Ctrl`+`K`

# PetscSectionSymCreateLabel

Create a section symmetry that assigns one symmetry to each stratum of a label

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode PetscSectionSymCreateLabel(MPI_Comm comm, DMLabel label, PetscSectionSym *sym)

Collective

## Input Parameters

- comm - the MPI communicator for the new symmetry

- label - the label defining the strata

## Output Parameter

- sym - the section symmetries

## See Also

`DMLabel`, `DM`, `PetscSectionSymCreate()`, `PetscSectionSetSym()`, `PetscSectionGetSym()`, `PetscSectionSymLabelSetStratum()`, `PetscSectionGetPointSyms()`

## Level

developer

## Location

src/dm/label/dmlabel.c

## Examples

src/dm/impls/plex/tutorials/ex6.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages